## CamelVeeStore CamelVeeStore |

## Functions

CamelVeeStore * | camel_vee_store_new ()
CamelVeeDataCache * | camel_vee_store_get_vee_data_cache ()
struct _CamelVeeFolder * | camel_vee_store_get_unmatched_folder ()
gboolean | camel_vee_store_get_unmatched_enabled ()
void | camel_vee_store_set_unmatched_enabled ()
void | camel_vee_store_note_subfolder_used ()
void | camel_vee_store_note_subfolder_unused ()
void | camel_vee_store_note_vuid_used ()
void | camel_vee_store_note_vuid_unused ()
void | camel_vee_store_rebuild_unmatched_folder ()

## Properties

gboolean | unmatched-enabled | Read / Write

## Types and Values

struct | CamelVeeStore

## Object Hierarchy

        GObject
        ╰── CamelObject
            ╰── CamelService
                ╰── CamelStore
                    ╰── CamelVeeStore

## Implemented Interfaces

CamelVeeStore implements GInitable.

## Description

## Functions

### camel_vee_store_new ()

    CamelVeeStore *
    camel_vee_store_new (void);

Create a new CamelVeeStore object.

#### Returns

new CamelVeeStore object

### camel_vee_store_get_vee_data_cache ()

    CamelVeeDataCache *
    camel_vee_store_get_vee_data_cache (CamelVeeStore *vstore);

FIXME Document me!

#### Returns

.

[transfer none]

Since: 3.6

### camel_vee_store_get_unmatched_folder ()

    struct _CamelVeeFolder *
    camel_vee_store_get_unmatched_folder (CamelVeeStore *vstore);

FIXME Document me!

#### Returns

.

[transfer none]

Since: 3.6

### camel_vee_store_get_unmatched_enabled ()

    gboolean
    camel_vee_store_get_unmatched_enabled (CamelVeeStore *vstore);

FIXME Document me!

Since: 3.6

### camel_vee_store_set_unmatched_enabled ()

    void
    camel_vee_store_set_unmatched_enabled (CamelVeeStore *vstore,
                                           gboolean is_enabled);

FIXME Document me!

Since: 3.6

### camel_vee_store_note_subfolder_used ()

    void
    camel_vee_store_note_subfolder_used (CamelVeeStore *vstore,
                                         CamelFolder *subfolder,
                                         struct _CamelVeeFolder *used_by);

FIXME Document me!

Since: 3.6

### camel_vee_store_note_subfolder_unused ()

    void
    camel_vee_store_note_subfolder_unused (CamelVeeStore *vstore,
                                           CamelFolder *subfolder,
                                           struct _CamelVeeFolder *unused_by);

FIXME Document me!

Since: 3.6

### camel_vee_store_note_vuid_used ()

    void
    camel_vee_store_note_vuid_used (CamelVeeStore *vstore,
                                    CamelVeeMessageInfoData *mi_data,
                                    struct _CamelVeeFolder *used_by);

FIXME Document me!

Since: 3.6

### camel_vee_store_note_vuid_unused ()

    void
    camel_vee_store_note_vuid_unused (CamelVeeStore *vstore,
                                      CamelVeeMessageInfoData *mi_data,
                                      struct _CamelVeeFolder *unused_by);

FIXME Document me!

Since: 3.6

### camel_vee_store_rebuild_unmatched_folder ()

    void
    camel_vee_store_rebuild_unmatched_folder
                                   (CamelVeeStore *vstore,
                                    GCancellable *cancellable,
                                    GError **error);

FIXME Document me!

Since: 3.6

## Types and Values

### struct CamelVeeStore

    struct CamelVeeStore;

## Property Details

### The `“unmatched-enabled”` property

      “unmatched-enabled”        gboolean

Enable _Unmatched folder.

Flags: Read / Write

Default value: TRUE